#!/bin/bash -e
#
# Prepares generic things for the monitoring service.
#
###############################################################################

set -o pipefail

###############################################################################

hash sudo
hash chmod
hash mkdir
hash pacman

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Installing monitoring shared tools...                                -"
echo "------------------------------------------------------------------------"

sudo pacman -S --needed --noconfirm gettext

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Configuring...                                                       -"
echo "------------------------------------------------------------------------"

sudo mkdir "/monitoring"

sudo mkdir "/monitoring/certs"
sudo chmod 555 "/monitoring/certs"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
